aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2019-11-09 01:48:48 -0300
committerLeo <thinkabit.ukim@gmail.com>2019-11-09 03:51:51 -0300
commit46c48529a3a2a7866d21ff9f542e03daf87c16e1 (patch)
treef9ba2315c47f33001978e16cfbe35116cdc4833a
parentea3f448a2a4dac2f33f2fd47022fd002ba9bfdb0 (diff)
downloadaports-46c48529a3a2a7866d21ff9f542e03daf87c16e1.tar.bz2
aports-46c48529a3a2a7866d21ff9f542e03daf87c16e1.tar.xz
testing/hstr: upgrade to 2.0
-rw-r--r--testing/hstr/APKBUILD35
-rw-r--r--testing/hstr/hstr-symlink.patch10
2 files changed, 22 insertions, 23 deletions
diff --git a/testing/hstr/APKBUILD b/testing/hstr/APKBUILD
index 9101ccff89..c5db4bdeb3 100644
--- a/testing/hstr/APKBUILD
+++ b/testing/hstr/APKBUILD
@@ -1,31 +1,31 @@
# Contributor: Jakub Jirutka <jakub@jirutka.cz>
# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
pkgname=hstr
-pkgver=1.25
-pkgrel=1
+pkgver=2.0
+pkgrel=0
pkgdesc="Bash and ZSH shell history suggest box"
url="https://github.com/dvorka/hstr"
arch="all"
license="Apache-2.0"
makedepends="autoconf automake libtool ncurses-dev readline-dev"
options="!check" # no *automated* tests to run
-subpackages="$pkgname-doc"
-source="https://github.com/dvorka/$pkgname/archive/$pkgver/$pkgname-$pkgver.tar.gz
- hstr-symlink.patch"
-builddir="$srcdir/$pkgname-$pkgver"
+subpackages="
+ $pkgname-doc
+ $pkgname-bash-completion:bashcomp:noarch
+ "
+source="$pkgname-$pkgver.tar.gz::https://github.com/dvorka/hstr/archive/$pkgver/hstr-$pkgver.tar.gz"
prepare() {
default_prepare
sed -i "s|<ncursesw/curses.h>|<curses.h>|" \
- src/include/hstr_curses.h src/hstr.c
+ src/include/hstr_curses.h src/include/hstr.h
- cd "$builddir"/dist
- sh 1-dist.sh
+ cd build/tarball
+ ./tarball-automake.sh
}
build() {
- cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -36,9 +36,18 @@ build() {
}
package() {
- cd "$builddir"
make install DESTDIR="$pkgdir"
}
-sha512sums="83c6250b1627bf185a572a7278a23f1e779d8f926f62fe341644f0d26b4f9daac8d904a5fe5af63e963a2ec15b7d98ee229bd5f812ee0d167bd2a12ee2e57467 hstr-1.25.tar.gz
-eca1780a23f75d4987eea078b952648fa8db2b03e0dcf90cb46f7251d7096f83a95b17e9ca344cded72aeade77de355fd34d31157ea2d2d581eba3a957f745d0 hstr-symlink.patch"
+bashcomp() {
+ depends=""
+ pkgdesc="Bash completions for $pkgname"
+ install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
+
+ mkdir -p "$subpkgdir"/usr/share/bash-completion/completions
+ mv "$pkgdir"/usr/share/bash-completion/completions/hstr \
+ "$subpkgdir"/usr/share/bash-completion/completions
+ rmdir -p "$pkgdir"/usr/share/bash-completion/completions || :
+}
+
+sha512sums="50d5e8e61aa853dab0093f4225d3329e98bc59609d8d59abf832cd4cb616d78a2fa091d1ad8d16f3543276c4ead95a419f33a13a96f423bf93dc648da32740b7 hstr-2.0.tar.gz"
diff --git a/testing/hstr/hstr-symlink.patch b/testing/hstr/hstr-symlink.patch
deleted file mode 100644
index 011dd98a7e..0000000000
--- a/testing/hstr/hstr-symlink.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- a/src/Makefile.am
-+++ b/src/Makefile.am
-@@ -34,6 +34,6 @@
-
- # create hh > hstr hard link on installation
- install-exec-hook:
-- ln $(DESTDIR)$(bindir)/hh$(EXEEXT) $(DESTDIR)$(bindir)/hstr$(EXEEXT)
-+ ln -s hh$(EXEEXT) $(DESTDIR)$(bindir)/hstr$(EXEEXT)
-
- hh_LDADD = $(NCURSES_LIBS)